function Numbers() {
  
  this.x = 0;
  this.y = 0;
  
  this.chars = [];
  this.charX = [];
  
  this.width = 0;
  
  this.centered = false;
  
  this.size = "Small";
  
  
  this.position = function(x, y) {
    this.x = x;
    this.y = y;
  };
  
  
  this.text = function(text) {
    this.chars = [];
    this.charX = [];
    var x = 0;
    this.width = 0;
    for(var i = 0; i < text.length; i++) {
      var c = text.charCodeAt(i) - 47;
      if(c == -15) {
        c = 11;
      }
      if(c == -1) {
        c = 0;
      }
      this.chars[i] = c;
      this.charX[i] = x;
      var charWidth = this.charWidth(c);
      x += charWidth;
      this.width += charWidth;
    }
  };
  
  
  this.charWidth = function(c) {
    if(this.size == "Small") {
      if(c == 11) {
        return 2;
      } else if(c == 2) {
        return 5;
      } else if(c == 8) {
        return 6;
      } else {
        return 7;
      }
    } else {
      if(c == 3 || c == 4) {
        return 11;
      } else if(c == 2) {
        return 10;
      } else if(c == 0) {
        return 8;
      } else {
        return 12;
      }
    }
  };
  
  
  this.center = function() {
    this.centered = true;
  };
  
  this.setSize = function(size) {
    this.size = size;
  };
  
  
  this.draw = function() {
    var end = this.chars.length;
    var x = this.x;
    if(this.centered) {
      x -= Math.round(this.width / 2);
    } else if(this.righted) {
      x -= this.width;
    }

    if(this.size == "Small") {
      for(var i = 0; i < end; i++) {
        var sx = this.chars[i] * 7;
        var sy = 0;
        c.drawImage(img.get("numbers" + this.size), sx, sy, 7, 14, x + this.charX[i], this.y, 7, 14);
      }
    } else {
      for(var i = 0; i < end; i++) {
        var sx = this.chars[i] * 11;
        var sy = 0;
        c.drawImage(img.get("numbers" + this.size), sx, sy, 11, 23, x + this.charX[i], this.y, 11, 23);
      }
    }
  };
  
  
}