function Img() {
  
  this.loadingScreenImage;
  
  this.sources = {
    Panel : "img/panel.png",
    Map : "img/map.png",
    BarleyField : "img/barley_field.png",
    HopsField : "img/hops_field.png",
    WaterPump : "img/water_pump.png",
    Generator : "img/generator.png",
    Brewing : "img/brewing.png",
    Fermentation : "img/fermentation.png",
    Bottling : "img/bottling.png",
    CrateMachine : "img/crate_machine.png",
    PanelBuildRollover : "img/panel_build_rollover.png",
    Employee : "img/employee.png",
    malt : "img/malt.png",
    hops : "img/hops.png",
    water : "img/water.png",
    wort : "img/wort.png",
    kegs : "img/kegs.png",
    bottles : "img/bottles.png",
    crates : "img/crates.png",
    fontBlack : "img/font_black.png",
    fontWhite : "img/font_white.png",
    fontWhiteShadow : "img/font_white_shadow.png",
    numbersSmall : "img/numbers_small.png",
    numbersLarge : "img/numbers_large.png",
    coin : "img/coin.png",
    power : "img/power.png",
    hint : "img/hint.png",
    plusOne : "img/plus_one.png",
    production : "img/production.png",
    instructions : "img/instructions.png",
    win : "img/win.png"
  };
  
  this.assets = {};
  
  this.loadedAssets = 0;
  
  this.FAKE_LOADING_TIME = 2500;
  
  
  this.loadLoadingScreen = function() {
    this.loadingScreenImage = new Image();
    this.loadingScreenImage.onload = function() {
      game.startLoading();
    };
    this.loadingScreenImage.src = "img/loading.png";
  };
  
  
  this.load = function() {
    for(var name in this.sources) {
      this.assets[name] = new Image();
      this.assets[name].onload = function() {
        img.endLoading();
      };
      this.assets[name].src = this.sources[name];
    }
  };
  
  
  this.endLoading = function() {
    this.loadedAssets++;
    if(this.loadedAssets == Object.keys(this.sources).length) {
      window.setTimeout(function() {
        game.endLoading();
      }, this.FAKE_LOADING_TIME);
    }
  };
  
  
  this.get = function(name) {
    return this.assets[name];
  };
  
  
  this.draw = function(name, x, y) {
    c.drawImage(this.assets[name], x, y);
  };
  
  
  this.drawSprite = function(name, x, y, w, h, posX, posY) {
    c.drawImage(this.assets[name], w * posX, h * posY, w, h, x, y, w, h);
  };
  
}